Method: projects.locations.queuedResources.getMaintenanceInfo

Gets the maintenance info for a queued resource.

HTTP request

GET https://tpu.googleapis.com/v2alpha1/{name=projects/*/locations/*/queuedResources/*}:getMaintenanceInfo

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The QueuedResource name.

Request body

The request body must be empty.

Response body

Response for queuedResources.getMaintenanceInfo.

If successful, the response body contains data with the following structure:

JSON representation
{
  "nodeUpcomingMaintenances": [
    {
      object (NodeUpcomingMaintenanceInfo)
    }
  ]
}
Fields
nodeUpcomingMaintenances[]

object (NodeUpcomingMaintenanceInfo)

The list of upcoming maintenance entries.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud.tpu
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • tpu.nodes.get

For more information, see the IAM documentation.

NodeUpcomingMaintenanceInfo

A tuple containing node name / ID and maintenance info.

JSON representation
{
  "nodeName": string,
  "nodeUid": string,
  "upcomingMaintenance": {
    object (UpcomingMaintenance)
  }
}
Fields
nodeName

string

Unqualified node name.

nodeUid

string (int64 format)

UID of this node.

upcomingMaintenance

object (UpcomingMaintenance)

Upcoming maintenance info for this node.